package common.block;

import common.init.Config;
import common.item.CheatTab;
import common.material.Material;
import common.util.BlockPos;
import common.world.State;
import common.world.AWorldServer;

public class BlockCore extends Block {
	public BlockCore() {
		super(Material.iron);
		this.setTab(CheatTab.tabTech);
	}
	
	public void onBlockRemoved(AWorldServer world, BlockPos pos, State state)
    {
		if(Config.loaders)
			world.removeLoader(pos);
    }
	
	public void onBlockAdded(AWorldServer world, BlockPos pos, State state)
    {
		if(Config.loaders)
			world.addLoader(pos);
    }
}
